package main

import (
	"github.com/andygrunwald/go-jira"
	"github.com/spf13/viper"
)

func SetProject(project *jira.Project) {
	viper.Set("project.valid", true)
	viper.Set("project.id", project.ID)
	viper.Set("project.key", project.Key)
	UnsetBoard()
}

func UnsetProject() {
	viper.Set("project.valid", false)
	UnsetBoard()
}

func HasProject() bool {
	return viper.GetBool("project.valid")
}

func SetBoard(id int, name string) {
	viper.Set("board.valid", true)
	viper.Set("board.id", id)
	viper.Set("board.name", name)
	UnsetSprint()
}

func UnsetBoard() {
	viper.Set("board.valid", false)
	UnsetSprint()
}

func HasBoard() bool {
	return viper.GetBool("board.valid")
}

func SetSprint(sprint jira.Sprint) {
	viper.Set("sprint.valid", true)
	viper.Set("sprint.id", sprint.ID)
	viper.Set("sprint.name", sprint.Name)
}

func UnsetSprint() {
	viper.Set("sprint.valid", false)
}

func HasSprint() bool {
	return viper.GetBool("sprint.valid")
}
